"use strict";
const common_vendor = require("../../common/vendor.js");
const WORKORDER_poster_method = require("./method.js");
require("../../common/libraries/apiLoading.js");
require("../../gen/Apis.js");
require("../../common/libraries/request.js");
require("../../common/store/useWeAppAuthStore.js");
require("../../common/store/useWatermarkStore.js");
require("../../common/store/useWorkStore.js");
require("./model.js");
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    common_vendor.onLoad((e) => {
      WORKORDER_poster_method.method.setCanvas(e);
    });
    return (_ctx, _cache) => {
      return {
        a: common_vendor.o(
          //@ts-ignore
          (...args) => common_vendor.unref(WORKORDER_poster_method.method).onDownloadPosters && common_vendor.unref(WORKORDER_poster_method.method).onDownloadPosters(...args)
        )
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-d354fff4"], ["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/WORKORDER/poster/index.vue"]]);
wx.createPage(MiniProgramPage);
